#pragma once

#ifdef PLATFORM_NATIVE

#include <stdlib.h>

static constexpr uint32_t MALLOC_CAP_SPIRAM = -1;

inline void *heap_caps_malloc(size_t size, uint32_t /*caps*/) {
  return std::malloc(size);
}

#endif